// Text Media Sample Code - QuickTime routines
//
// This file contains general purpose QuickTime and Utility routines
//
// sample to show how to do searches with text media, and how to use
// a simple text proc to get the text (without the style info) out and
// to display it in a window.
//
// This is something of a work in progress, it contains a few bugs, if you find
// anthing that you feel needs fixing, or explaing, please let me know
// AppleLink: NICKT
//
// Modification History
//
//	10/13/94	nick	First cut - factored code out from other files 
//
//	Copyright:	 1992-4 by Apple Computer, Inc.

//---------------------------------------------------------------------
#ifndef _QUICKTIMEUTILS_H_

#define _QUICKTIMEUTILS_H_
#include "mtb.h"

void		CheckError( OSErr error, Str255 displayString ) ;
Boolean 	IsDAWindow(WindowPtr window) ;

Boolean 	IsQuickTimeInstalled ( void ) ;
Boolean		IsPointInMovieController( MovieController	aController, WindowPtr whichWindow, Point where) ;
Boolean		GetAMovieFileSpec( FSSpec *theFile ) ;
OSErr 		DoPrerollMovie( Movie	aMovie ) ;
Track		GetFirstTrackOfType( Movie	aMovie, OSType	trackType ) ;

#endif